PHP is a server-side scripting language, used for building browser-based applications. This includes websites as well as programs that don't really need any form of interaction with the user.

learn more… | top users | synonyms (2)

0
votes
1answer
178 views

Changed apache www folder

So I changed it from /var/www to /home/John/Dropbox/www and I also did chmod 755 /home/John/Dropbox/www but it still says You don't have permission to access / on this server. I forgot how to do ...
2
votes
1answer
1k views

Please install an MTA on this system if you want to use sendmail!

I get this message in /var/log/apache2/error.log everytime a cronjob on my desktop wgets a php page that tries to send an email. How can I install a dummy so this message is gone? I already have ...
2
votes
2answers
705 views

LAMP Server with multiple PHP Versions

I am looking for a way to install multiple versions of PHP on my notebook to work on different projects that require different versions of PHP. I have Ubuntu 13.10 and installed apache2, php5, mysql ...
2
votes
3answers
444 views

Are Apache, PHP and MySQL installed by default?

Are the Apache server, PHP, and MySQL installed by default when you install Ubuntu 13.10, or should you install them separately later?
0
votes
1answer
891 views

Can't Install php5-msql

Hello friends I'm finishing the process of installing Apache/Php/mysql installations but this shows up: # sudo apt-get install mysql-server php5-msql Reading package lists... Done Building ...
0
votes
3answers
1k views

Debugging PHP apps with Kdevelop

I am using kdevelop 4.5.1 and I would like to debug php apps. I made a search and I found this article: http://nikosams.blogspot.com.es/2010/02 ... ugger.html which is from 2010 but I don't know how ...
1
vote
1answer
1k views

How do we install PHP extensions for Phoronix Test Suite?

The phoronix-test-suite package provides a good way to benchmark one's hardware. After installation using Software Centre on Ubuntu 13.10 Saucy Salamander, the package does not run properly. The ...
-1
votes
1answer
321 views

libc-bin errors when trying to install php

i am trying to update and install php into my ubuntu server 12.04 using the command below: apt-get upgrade php apt-get install php5-curl php5-gd php5-mysql php5-pgsql However i receive this error ...
2
votes
2answers
921 views

I deleted /etc/php5. How do I restore the folder?

I removed the folder /etc/php5, after I removed the php5 package. Then I tried to install the package, but it said the folder did not exist. I looked in trash folder and couldn't find it. How do I ...
3
votes
2answers
13k views

Ubuntu 13.10 gives “Package 'libapache2-mod-auth-mysql' has no installation candidate” error [closed]

UPDATE: Because Apache 2.4 is the default version (instead of the previous 2.2) this error occurs. However as can be seen here all future versions of Ubuntu 13.10 and above will not support this ...
1
vote
1answer
16k views

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

I am using ubuntu 13.10 on evaluation board and my internet is not working. Also i need to install softwares and apt-get install is also not working. Terminal says : E: Unable to fetch some ...
3
votes
2answers
5k views

How to install php 5.4.x on ubuntu 13.10 saucy salamander

How do I install php 5.4 on ubuntu 13.10 saucy ? On ppa:ondrej/php5-oldstable ( https://launchpad.net/~ondrej/+archive/php5-oldstable ) there are only packages up to 13.04 Please help. Thank you, ...
1
vote
1answer
540 views

Not able to install PHP5-dev in 13.04

I'm trying to run phpize in ubuntu. However, it seems that the php5dev is not installed. So I run apt-get install php5-dev However the terminal returning some error messages : Err ...
6
votes
4answers
17k views

downgrade php5 5.5.3 to php5 5.3 in ubuntu 13.10

I just upgraded to ubuntu 13.10.. I was working on a project that uses php 5.3 and now phpmyadmin is not working and when i try to open a page i see a ton of warning and the sign in page doesnt sign ...
25
votes
1answer
14k views

Apache virtualhosts no longer working after update to 13.10

I updated my kubuntu to 13.10 today and my virtualhosts that worked perfectly before are no longer working. the s2ensite and a2dissite commands claim "site xxxxxx does not exists" even the files are ...
14
votes
8answers
38k views

php is not working well on ubuntu 13.10 and mcrypt is missing in phpmyadmin

I've upgraded from UBUNTU 13.04 to 13.10 but I can not work with php pages or phpmyadmin . I've tried this way to install lamp on ubuntu sudo apt-get install lamp-server^ phpmyadmin and I've done all ...
25
votes
2answers
20k views

what happened to json_encode in 13.10 php?

Just updated to saucy 13.10 and json_encode is missing from the bundled php. json doesn't appear in the phpinfo() output and i'm getting this error in my app: PHP Fatal error: Call to undefined ...
0
votes
2answers
231 views

ASP.Net Developer wanting to migrate to Ubuntu

First time poster, long time admirer... I develop a lot of ASP.net web pages using Umbraco and DotNetNuke. I've decided that i want to take everything over to Ubuntu and don't mind learning new ...
2
votes
1answer
2k views

Can't use PHP extension Solr in Ubuntu 13.10 (Apache)

After I upgraded to Ubuntu 13.10, the local development version of my website stopped working with a PHP warning: include(SolrQuery.php): failed to open stream: No such file or directory I checked ...
17
votes
2answers
37k views

Can't use PHP extension Mcrypt in Ubuntu 13.10 (Nginx, PHP-FPM) [duplicate]

I installed a fresh Ubuntu 13.10 on my laptop. Like I usually do, I install the packages I need for Web development, which are nginx, php5-fpm, mysql, php5-mysql, php5-mcrypt and a few others. After ...
0
votes
0answers
20 views

Can't remove phpmyadmin [duplicate]

I am having great difficulty trying to remove this so I can then start over building a forum. But I made some errors and so have removed some stuff but yet to remove this. This is one of the error ...
0
votes
1answer
279 views

Process not running in background

<?php while(true) { set_time_limit(2); $reas ="wake up from sleep!!!!!!!!!! \n "; echo $reas; sleep(5); // $readlen = 0; } ?> I try to run this code. In foreground, ...
9
votes
6answers
73k views

how to correctly install apache2, php5, mysql and phpmyadmin

What is the most correct method of installing apache 2 server, php5, mysql and phpMyAdmin? I installed it this week, and I had a lot problems without solutions, so now that I reinstalled Ubuntu 13.04 ...
0
votes
1answer
4k views

Internal server Error while accessing a php page in apache2

After install apache2 it work fine, but if reinstall php5 that the server doesn't work, if I try to access http://127.0.0.1 a give the error 500, or a file of www folder, if I try to access a folder ...
0
votes
1answer
1k views

How to update libpango and install Cairo in Ubuntu?

I want to install "php gtk", but I get the following error message: `libgtk2.0-dev : Depends: libpango1.0-dev (>= 1.20) but it is not going to be installed I downloaded the latest pango from ...
63
votes
2answers
245k views

Find the correct php.ini file

I am currently trying to locate the correct php.ini file to edit it and restart apache so the changes will take place and I'm stumped. What I have done... I have found three different php.ini files ...
0
votes
2answers
7k views

How can I connect to a Microsoft Access database using PHP?

I tried to connect to MS Access database using PHP PDO from my ubuntu webserver but couldn't. I got this error: Connexion Access échouée : SQLSTATE[IM002] SQLDriverConnect: 0 [unixODBC][Driver ...
1
vote
1answer
1k views

Why doesn't php (cli) have a default memory limit?

After coming across a server that had an Out of Memory issue from a commandline php-script, I discovered that default (vanilla 12.04 LTS server install) the cli php.ini does not have a memory limit ...
1
vote
1answer
3k views

php5-fpm : Depends: php5-common (= 5.3.10-1ubuntu3.8) but 5.4.6-1ubuntu1.4 is to be installed

I want to set up PHP behind Nginx with FastCGI but I stuck on the sudo apt-get -f install php5-fpm what i've tried: sudo apt-get -f install php5-fpm Reading package lists... Done Building ...
1
vote
1answer
4k views

Install and Configure XHProf

Problem I'm trying to configure and use XHProf. I've managed to get it installed and running on my server but I get a blank page when I try to access localhost/xhprof_html This is the general post ...
28
votes
5answers
63k views

Cannot get mcrypt for PHP5

I've done this many times: sudo aptitude install php5-mcrypt sudo apache2ctl restart aptitude says mcrypt is installed. I've reinstalled it 3 times already. I've restarted apache about 20 times ...
0
votes
0answers
18 views

/var/www - not parse php code [duplicate]

I added php file to /var/www/ but not working (not parse PHP code): http://site.com/a.php <?php echo "work"; ?> How to fix it?
0
votes
1answer
2k views

Editing php5.conf

I am trying to edit /etc/apache2/mods-enabled/php5.conf but when I try to do vi /etc/apache2/mods-enabled/php5.conf it just comes up as <IfModule mod_php5.c> <FilesMatch ...
4
votes
1answer
14k views

Install php extensions on Ubuntu 12.04

I want to install the latest versions of curl, php5-xmlrpc and php5-intl extensions for php 5.4. I have the latest version of php 5.4 (installed via ppa:ondrej/php5-oldstable) so the default precise ...
1
vote
2answers
234 views

Does an upgrade from 12.10 to 13.04 will effect the version of PHP/other packages installed?

My work laptop is running Ubuntu 12.10 (32-bit). Due to the need to be able to test our code in the same versions of PHP, Memcache, and a few other modules; I need to keep the PHP version right where ...
-1
votes
1answer
51 views

Can you place a variable in command line

I have a command running in cron sudo snmpbulkwalk -v 2c -c public -0Xsq 10.0.0.98 .1.3.6.1.2.1.1.2> textfile 10.0.0.98 is a variable and i would like whichever value is placed there to be read ...
-1
votes
1answer
2k views

I cant copy a file in the var/www directory

I am a noob with Ubuntu and that's why i ask dumb questions :D So my question is this: I installed mediawiki on a Lubuntu virtual machine which is running on virtualbox. I configured and installed ...
13
votes
1answer
15k views

How to set environment variable before running script inside hooks/install?

I am create a simple charm to get my symfony2 webapp from git and deploy it on ec2. After getting the source from git, I want to run composer to resolve dependencies but I keep getting this error: ...
22
votes
3answers
82k views

Update server php version to 5.4.10 via the command line

Im setting up a vps for the first time from scratch, the host has a one click LAMP installer which took out allot of the leg work, but running phpinfo(); i found im running 5.3.10. So id like to ...
0
votes
1answer
5k views

Running a php script in apache webserver

I have created a php script and saved it as script.php, located in the /var/www directory. I also have index.html file which has a form which requires the user to enter a value and submit with the ...
-1
votes
1answer
267 views

Linking a PHP script to an HTML document [closed]

I would like to run a php script which is the forr action in an html document. The HTML code i have is as follows <html><head><title>Using PHP</title></head> ...
1
vote
0answers
373 views

Problem after installing phpmyadmin

I installed apache, mysql, and php on my Ubuntu 12.04 server but after logging in all I see is a white screen displaying a forward slash. Is there something else I need to configure or enable? / ...
0
votes
1answer
917 views

Can't install php5-fpm after upgrade to 12.10

I upgraded to 12.10 from 12.04 and began getting gateway errors when I accessed phppgadmin via nginx. After looking around I realised that the required program php5-fpm wasn't running and further what ...
3
votes
2answers
196 views

How to know what version of PHP is shipped in a release version?

Is there a page or Wiki listing for each Ubuntu release what is the default associated PHP version ? 10.04 LTS => PHP 5.3.2 And so on...
4
votes
1answer
72 views

How can one call programs that are not “rooted” in the operating system

I am currently trying to install a php extension on my computer. I am in the process of developing a new site and I am using LAMPP. I used PECL to install the syck YAML extension so that I can parse ...
5
votes
3answers
2k views

Unable to Execute VLC from PHP

I am running uBuntu 12.04.3, 32 bit OS on a 8 CPU, 8GB RAM 64-bit Intel Xeon machine. I have installed all backports as well. I have this problem which is eating my head for the last 3 days. I ...
0
votes
1answer
202 views

PHP API not matching

I need to enable a module installed on my system. I have installed PHP 5.4 from ondrej's repository couple of months ago ago and now I have compiled ODBTP module from the source. Unfortunately, if ...
2
votes
1answer
506 views

Why did my PHP5.5 upgrade fail?

I have a relatively new install of Ubuntu 12.04. The php version is 5.3, so I just followed this question to upgrade to 5.5: How do I install latest PHP in supported Ubuntu versions (like 5.4.x in ...
0
votes
1answer
699 views

(Ubuntu 12.04 LTS) PHP 5.4 offline install

I searched but didnt find solution to our problem... We have offline (intranet) Ubuntu 12.04 LTS installation. We made local offline Ubuntu 12.04 repo mirror (updating once in a week) and I can ...
0
votes
1answer
759 views

How to configure apache2 in Ubuntu 13.04

I installed apache using ubuntu software center, and now it shows the following text on the page upon entrance of localhost in the addressbar of Firefox It works! This is the default web page for ...